summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dave Margell <dmargell@gmail.com>2010-05-13 01:00:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:50 +0200
commit8e11779e5235ee6f96600dc90b701e876c7efd12 (patch)
tree1ce98e07ef27434aa02ecc812f6613ef76134ff6
parent15ad1a0be5290b64b25a2894bb342ef3de58248d (diff)
downloadslackbuilds-8e11779e5235ee6f96600dc90b701e876c7efd12.tar.gz
slackbuilds-8e11779e5235ee6f96600dc90b701e876c7efd12.tar.xz
system/halevt: Added to 13.0 repository
-rw-r--r--system/halevt/README14
-rw-r--r--system/halevt/halevt.SlackBuild86
-rw-r--r--system/halevt/halevt.info10
-rw-r--r--system/halevt/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/system/halevt/README b/system/halevt/README
new file mode 100644
index 0000000000..04f928a77a
--- /dev/null
+++ b/system/halevt/README
@@ -0,0 +1,14 @@
+Halevt (HAL events manager) is a daemon that executes arbitrary commands when a
+device with certain properties is added to the system and when device properties
+change. Halevt uses HAL to monitor the state of your system's hardware. The
+design of Halevt is heavily based on ivman.
+
+Halevt can also report all the hal events that are emitted by hald
+(with the -i option on the command line). Halevt comes with halevt-mount:
+a program able to use HAL to mount, umount devices, and keep a list of
+devices handled by halevt-mount.
+
+Some of the examples require gtkdialog or Xdialog (SlackBuilds available)
+and alltray (not available yet for Slackware 13.0)
+
+This requires boolstuff.
diff --git a/system/halevt/halevt.SlackBuild b/system/halevt/halevt.SlackBuild
new file mode 100644
index 0000000000..3d4c8cb5db
--- /dev/null
+++ b/system/halevt/halevt.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for halevt
+
+# Written by Dave Margell (dmargell@gmail.com)
+
+PRGNAM=halevt
+VERSION=${VERSION:-0.1.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+LDFLAGS="$SLKLDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a examples/{*.xml,*.sh} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/halevt/halevt.info b/system/halevt/halevt.info
new file mode 100644
index 0000000000..845ae0d0bd
--- /dev/null
+++ b/system/halevt/halevt.info
@@ -0,0 +1,10 @@
+PRGNAM="halevt"
+VERSION="0.1.5"
+HOMEPAGE="http://www.nongnu.org/halevt/"
+DOWNLOAD="http://savannah.nongnu.org/download/halevt/halevt-0.1.5.tar.gz"
+MD5SUM="7faf2e2fdfe9535e64304c361e1fd0e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dave Margell"
+EMAIL="dmargell@gmail.com"
+APPROVED="rworkman"
diff --git a/system/halevt/slack-desc b/system/halevt/slack-desc
new file mode 100644
index 0000000000..e674c92fa5
--- /dev/null
+++ b/system/halevt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+halevt: Halevt (HAL events manager)
+halevt:
+halevt: Halevt is a daemon that executes arbitrary commands when a device
+halevt: with certain properties is added to the system and when device
+halevt: properties change.
+halevt: Halevt uses HAL to monitor the state of your system's hardware.
+halevt:
+halevt: Halevt design is heavily based on ivman.
+halevt:
+halevt: Project homepage: http://www.nongnu.org/halevt/
+halevt: